Bug 89539 - RFE: make redhat-config-users support LDAP and NIS
Summary: RFE: make redhat-config-users support LDAP and NIS
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-users   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-23 23:45 UTC by Jason Corley
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-27 16:40:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jason Corley 2003-04-23 23:45:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.4a)
Gecko/20030401

Description of problem:

Don't know how feasible it is, but it would be great if redhat-config-users was
capable of admining LDAP/NIS users and groups (though LDAP is more preferable to
me).  Especially for a remote LDAP/NIS server, although if it only worked on the
LDAP/NIS server that would be ok to start with.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Never understood why these fields were required for an RFE.
2.
3.
    

Additional info:

Comment 1 Nils Philippsen 2004-08-13 19:42:23 UTC
Bumping this to FC devel.

I don't think integrating it with LDAP is feasible unless there is a
defined way how users are stored in an LDAP, meaning we'd need to
supply LDAP schemes on which we could operate.

Working on a remote NIS server isn't feasible -- it would basically
mean you'd have to download the files by whatever means available
which could be scp, rcp, NFS, ... you name it and later storing them
again. Just to error-prone for my taste.

Working locally on an NFS server would be another matter: Check
whether the local machine is a NIS server and running make in /var/yp.

Comment 2 Pawel Salek 2005-03-31 13:16:25 UTC
It actually works pretty well with ldap when libuser.conf is correctly
configured as of system-config-users-1.2.27

Comment 3 Nils Philippsen 2006-02-27 16:40:35 UTC
This RFE has been open without action for a long time. Closing as DEFERRED to
reflect the actual situation.


Note You need to log in before you can comment on or make changes to this bug.